# Uses of Interface
org.apache.qpid.proton.amqp.DescribedType

Packages that use DescribedType
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of DescribedType in org.apache.qpid.proton.amqp

Classes in org.apache.qpid.proton.amqp that implement DescribedType
Modifier and Type
Class
Description
`class`
`UnknownDescribedType`

## Uses of DescribedType in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return DescribedType
Modifier and Type
Method
Description
`DescribedType`
Data.`getDescribedType()`
Methods in org.apache.qpid.proton.codec that return types with arguments of type DescribedType
Modifier and Type
Method
Description
`Collection<TypeEncoding<DescribedType>>`
DynamicDescribedType.`getAllEncodings()`
`TypeEncoding<DescribedType>`
DynamicDescribedType.`getCanonicalEncoding()`
`TypeEncoding<DescribedType>`
DynamicDescribedType.`getEncoding(DescribedType val)`
`Class<DescribedType>`
DynamicDescribedType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type DescribedType
Modifier and Type
Method
Description
`TypeEncoding<DescribedType>`
DynamicDescribedType.`getEncoding(DescribedType val)`
`void`
Data.`putDescribedType(DescribedType dt)`
`void`
DynamicDescribedType.`write(DescribedType val)`
`void`
Encoder.`writeDescribedType(DescribedType d)`
`void`
EncoderImpl.`writeDescribedType(DescribedType d)`

## Uses of DescribedType in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return DescribedType
Modifier and Type
Method
Description
`DescribedType`
DataImpl.`getDescribedType()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type DescribedType
Modifier and Type
Method
Description
`void`
DataImpl.`putDescribedType(DescribedType dt)`